"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _hapi = _interopRequireDefault(require("@hapi/hapi"));
var _qs2 = _interopRequireDefault(require("qs"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const HapiInit = routes => {
  var _process$env, _process$env2;
  const port = (_process$env = process.env) === null || _process$env === void 0 ? void 0 : _process$env.HTTP_PORT;
  const host = (_process$env2 = process.env) === null || _process$env2 === void 0 ? void 0 : _process$env2.HTTP_HOST;
  const server = _hapi.default.server({
    port: port ? parseInt(port) : 3000,
    host: host ? host : 'localhost',
    query: {
      parser: query => _qs2.default.parse(query)
    },
    routes: {
      payload: {
        allow: "application/json"
      }
    }
  });
  server.route(routes);
  return new Promise((resolve, reject) => {
    server.start().then(res => {
      console.log('Server running on %s', server.info.uri);
      resolve(server);
    }).catch(err => {
      console.log('Server running failed %s', err.message);
      reject(err.message);
    });
  });
};
process.on('unhandledRejection', err => {
  console.log(err);
  process.exit(1);
});
var _default = exports.default = HapiInit;